import unittest

from nose.tools import raises, eq_

import robosignatory.utils

class TestUtils(unittest.TestCase):

    @raises(KeyError)
    def test_no_such_helper(self):
        robosignatory.utils.get_signing_helper(backend='wat', )

    def test_get_sigul_helper(self):
        helper = robosignatory.utils.get_signing_helper(
            backend='sigul',
            user='ralph',
            passphrase_file='/tmp/wide-open.txt',
        )
        eq_(type(helper), robosignatory.utils.SigulHelper)

    def test_simple_echo_helper(self):
        helper = robosignatory.utils.get_signing_helper(
            backend='echo',
            user='ralph',
            passphrase_file='/tmp/wide-open.txt',
        )
        cmdline = helper.build_cmdline('wat')
        eq_(cmdline, ["echo", "build_cmdline: ('wat',) {}"])
